# Halite Documentation

1. [Basic Halite Usage](Basic.md)
2. [Halite Features](Features.md)
3. Class Documentation
    * [`Alerts`](Classes/Alerts) (Exceptions)
        * [`\ParagonIE\Halite\Alerts\CannotAccessKey`](Classes/Alerts/CannotAccessKey.md)
        * [`\ParagonIE\Halite\Alerts\CannotCloneKey`](Classes/Alerts/CannotCloneKey.md)
        * [`\ParagonIE\Halite\Alerts\CannotPerformOperation`](Classes/Alerts/CannotPerformOperation.md)
        * [`\ParagonIE\Halite\Alerts\CannotSerializeKey`](Classes/Alerts/CannotSerializeKey.md)
    * [`Asymmetric`](Classes/Asymmetric)
        * [`\ParagonIE\Halite\Asymmetric\Crypto`](Classes/Asymmetric/Crypto.md)
        * [`\ParagonIE\Halite\Asymmetric\EncryptionPublicKey`](Classes/Asymmetric/EncryptionPublicKey.md)
        * [`\ParagonIE\Halite\Asymmetric\EncryptionSecretKey`](Classes/Asymmetric/EncryptionSecretKey.md)
        * [`\ParagonIE\Halite\Asymmetric\PublicKey`](Classes/Asymmetric/PublicKey.md)
        * [`\ParagonIE\Halite\Asymmetric\SecretKey`](Classes/Asymmetric/SecretKey.md)
        * [`\ParagonIE\Halite\Asymmetric\SignaturePublicKey`](Classes/Asymmetric/SignaturePublicKey.md)
        * [`\ParagonIE\Halite\Asymmetric\SignatureSecretKey`](Classes/Asymmetric/SignatureSecretKey.md)
    * [`Contract`](Classes/Contract) (Interfaces)
    * [`Symmetric`](Classes/Symmetric)
        * [`\ParagonIE\Halite\Symmetric\AuthenticationKey`](Classes/Symmetric/AuthenticationKey.md)
        * [`\ParagonIE\Halite\Symmetric\Crypto`](Classes/Symmetric/Crypto.md)
        * [`\ParagonIE\Halite\Symmetric\EncryptionKey`](Classes/Symmetric/EncryptionKey.md)
        * [`\ParagonIE\Halite\Symmetric\SecretKey`](Classes/Symmetric/SecretKey.md)
    * [`\ParagonIE\Halite\Password`](Classes/Asymmetric.md)
    * [`\ParagonIE\Halite\Cookie`](Classes/Cookie.md)
    * [`\ParagonIE\Halite\EncryptionKeyPair`](Classes/EncryptionKeyPair.md)
    * [`\ParagonIE\Halite\File`](Classes/File.md)
    * [`\ParagonIE\Halite\Halite`](Classes/Halite.md)
    * [`\ParagonIE\Halite\Key`](Classes/Key.md)
    * [`\ParagonIE\Halite\KeyPair`](Classes/KeyPair.md)
    * [`\ParagonIE\Halite\Password`](Classes/Password.md)
    * [`\ParagonIE\Halite\SignatureKeyPair`](Classes/SignatureKeyPair.md)
    * [`\ParagonIE\Halite\Util`](Classes/Util.md)